Is CatBase compatible with Apple Yosemite (OSX10.10) OS?

As of October 23rd, 2014, we cannot guarantee that CatBase is fully compatible with Yosemite. We are working on testing it and will add a comment to this ticket when it's ready.

Article Details

Article ID:
63
Date added:
2014-10-23 15:37:30
Views:
175
Rating (Votes):
(0)

Go to CatBase.com